Vulnerability CVE-2016-2279


Published: 2016-03-02

Description:
Cross-site scripting (XSS) vulnerability in the web server in Rockwell Automation Allen-Bradley CompactLogix 1769-L* before 28.011+ allows remote attackers to inject arbitrary web script or HTML via unspecified vectors.

See advisories in our WLB2 database:
Topic
Author
Date
Low
Rockwell Scada System 27.011 Cross-Site Scripting
t4rkd3vilz
16.05.2018
Low
Rockwell Scada System 27.011 Cross Site Scripting
t4rkd3vilz
18.05.2018

Type:

CWE-79

(Improper Neutralization of Input During Web Page Generation ('Cross-site Scripting'))

CVSS2 => (AV:N/AC:M/Au:N/C:N/I:P/A:N)

CVSS Base Score
Impact Subscore
Exploitability Subscore
4.3/10
2.9/10
8.6/10
Exploit range
Attack complexity
Authentication
Remote
Medium
No required
Confidentiality impact
Integrity impact
Availability impact
None
Partial
None
Affected software
Rockwellautomation -> Compactlogix controller 1769 firmware 

 References:
http://www.securitytracker.com/id/1035190
https://ics-cert.us-cert.gov/advisories/ICSA-16-061-02
https://www.exploit-db.com/exploits/44626/

Copyright 2020, cxsecurity.com

 

Back to Top